Make sure to start Rasa X with valid data and valid domain and config files. Please, also check any warnings that popped up

I have tried installing rasa x getting the below mentioned error when i tried running rasa x command. I have tried removing domain path from x.py file, but still it didn’t work.

Versions: Rasa Version : 2.8.6 Minimum Compatible Version: 2.8.0 Rasa SDK Version : 2.8.2 Rasa X Version : 0.42.2 Python Version : 3.8.10

Error: (venv) PS C:\Git\PAMS Chatbot\Rasa Chatbot\project (2)\project> rasa x c:\git\pams chatbot\rasa chatbot\project (2)\project\venv\lib\site-packages\rasa\shared\core\slots.py:311: FutureWarning: UnfeaturizedSlot is deprecated and will be removed in Rasa Open Source 3.0. Please change the type and configure the ‘influence_conversation’ flag for slot ‘required_slot’ instead. rasa.shared.utils.io.raise_warning( Starting Rasa X in local mode… � 2021-09-27 13:56:11 WARNING rasax.community.services.insights.insight_service - No local evaluation result files found. Traceback (most recent call last): File “c:\git\pams chatbot\rasa chatbot\project (2)\project\venv\lib\site-packages\rasa\cli\x.py”, line 496, in run_locally
local.main( File “c:\git\pams chatbot\rasa chatbot\project (2)\project\venv\lib\site-packages\rasax\community\local.py”, line 257, in main common_utils.run_in_loop(model_service.discover_models()) File “c:\git\pams chatbot\rasa chatbot\project (2)\project\venv\lib\site-packages\rasax\community\utils\common.py”, line 900, in run_in_loop return loop.run_until_complete(coro) File “C:\Users\karunakr\AppData\Local\Programs\Python\Python38\lib\asyncio\base_events.py”, line 616, in run_until_complete
return future.result() File “c:\git\pams chatbot\rasa chatbot\project (2)\project\venv\lib\site-packages\rasax\community\services\model_service.py”, line 821, in discover_models await model_service.discover_models() File “c:\git\pams chatbot\rasa chatbot\project (2)\project\venv\lib\site-packages\rasax\community\services\model_service.py”, line 147, in discover_models await _run_loop(max_retries, sleep_in_seconds) File “c:\git\pams chatbot\rasa chatbot\project (2)\project\venv\lib\site-packages\rasax\community\services\model_service.py”, line 133, in _run_loop await self._discover_models() File “c:\git\pams chatbot\rasa chatbot\project (2)\project\venv\lib\site-packages\rasax\community\services\model_service.py”, line 185, in _discover_models minimum_version = await self._retry_fetching_minimum_compatible_version() File “c:\git\pams chatbot\rasa chatbot\project (2)\project\venv\lib\site-packages\rasax\community\services\model_service.py”, line 174, in _retry_fetching_minimum_compatible_version minimum_version = await self.minimum_compatible_version() File “c:\git\pams chatbot\rasa chatbot\project (2)\project\venv\lib\site-packages\rasax\community\services\model_service.py”, line 160, in minimum_compatible_version info = await stack_service.version() File “c:\git\pams chatbot\rasa chatbot\project (2)\project\venv\lib\site-packages\rasax\community\services\stack_service.py”, line 112, in version response = await session.get( File “c:\git\pams chatbot\rasa chatbot\project (2)\project\venv\lib\site-packages\aiohttp\client.py”, line 619, in _request
break File “c:\git\pams chatbot\rasa chatbot\project (2)\project\venv\lib\site-packages\aiohttp\helpers.py”, line 656, in exit
raise asyncio.TimeoutError from None asyncio.exceptions.TimeoutError

Sorry, something went wrong (see error above). Make sure to start Rasa X with valid data and valid domain and config files. Please, also check any warnings that popped up. If you need help fixing the issue visit our forum: https://forum.rasa.com/. WARNING:rasax.community.telemetry:An error occured when trying to send the telemetry event: HTTPSConnectionPool(host=‘api.segment.io’, port=443): Max retries exceeded with url: /v1/track (Caused by NewConnectionError(’<urllib3.connection.HTTPSConnection object at 0x000002286F1DF5B0>: Failed to establish a new connection: [Errno 11001] getaddrinfo failed’)) WARNING:rasax.community.telemetry:An error occured when trying to send the telemetry event: HTTPSConnectionPool(host=‘api.segment.io’, port=443): Max retries exceeded with url: /v1/track (Caused by NewConnectionError(’<urllib3.connection.HTTPSConnection object at 0x000002286F1DF910>: Failed to establish a new connection: [Errno 11001] getaddrinfo failed’))

@rajesh16 can you please share rasa --version ?

@nik202 Versions: Rasa Version : 2.8.6 Minimum Compatible Version: 2.8.0 Rasa SDK Version : 2.8.2 Rasa X Version : 0.42.2 Python Version : 3.8.10

@rajesh16 Hi, can you activate conda environment and then type rasa --version ; share the screenshot.

Traceback (most recent call last): File “C:\Users\ASUS\anaconda3\envs\rasa_x_demo\lib\site-packages\rasax\community\services\story_service.py”, line 212, in get_story_steps return StoryService._reader_read_from_string(reader, story_string) File “C:\Users\ASUS\anaconda3\envs\rasa_x_demo\lib\site-packages\rasax\community\services\story_service.py”, line 130, in _reader_read_from_string f.write(story_string) File “C:\Users\ASUS\anaconda3\envs\rasa_x_demo\lib\tempfile.py”, line 474, in func_wrapper return func(*args, **kwargs) File “C:\Users\ASUS\anaconda3\envs\rasa_x_demo\lib\encodings\cp1252.py”, line 19, in encode return codecs.charmap_encode(input,self.errors,encoding_table)[0] UnicodeEncodeError: ‘charmap’ codec can’t encode character ‘\u1ecf’ in position 75: character maps to

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File “C:\Users\ASUS\anaconda3\envs\rasa_x_demo\lib\site-packages\rasa\cli\x.py”, line 496, in run_locally local.main( File “C:\Users\ASUS\anaconda3\envs\rasa_x_demo\lib\site-packages\rasax\community\local.py”, line 241, in main _initialize_with_local_data( File “C:\Users\ASUS\anaconda3\envs\rasa_x_demo\lib\site-packages\rasax\community\local.py”, line 163, in _initialize_with_local_data loop.run_until_complete( File “C:\Users\ASUS\anaconda3\envs\rasa_x_demo\lib\asyncio\base_events.py”, line 608, in run_until_complete return future.result() File “C:\Users\ASUS\anaconda3\envs\rasa_x_demo\lib\site-packages\rasax\community\initialise.py”, line 369, in inject_files_from_disk await inject_stories( File “C:\Users\ASUS\anaconda3\envs\rasa_x_demo\lib\site-packages\rasax\community\initialise.py”, line 134, in inject_stories story_blocks = await story_service.save_stories_from_files( File “C:\Users\ASUS\anaconda3\envs\rasa_x_demo\lib\site-packages\rasax\community\services\story_service.py”, line 545, in save_stories_from_files additional_blocks = await self.save_stories( File “C:\Users\ASUS\anaconda3\envs\rasa_x_demo\lib\site-packages\rasax\community\services\story_service.py”, line 437, in save_stories processed_stories = await self._extract_stories_yaml( File “C:\Users\ASUS\anaconda3\envs\rasa_x_demo\lib\site-packages\rasax\community\services\story_service.py”, line 365, in _extract_stories_yaml steps_list = self.get_story_steps( File “C:\Users\ASUS\anaconda3\envs\rasa_x_demo\lib\site-packages\rasax\community\services\story_service.py”, line 214, in get_story_steps raise StoryParseError( rasa.shared.core.training_data.story_reader.story_reader.StoryParseError

Rasa Version : 2.8.1 Minimum Compatible Version: 2.8.0 Rasa SDK Version : 2.8.1 Rasa X Version : 0.39.3 Python Version : 3.8.0 Operating System : Windows-10-10.0.19041-SP0 Python Path : C:\Users\ASUS\anaconda3\envs\rasa_x_demo\python.exe

I have installed everything locally on my virtual environment and I haven’t used Anaconda for the same.

@rajesh16 Everything is working?